Welcome

AltSwitch lets you easily switch between tasks running on your computer. It is an advanced replacement for the standard Windows Alt+Tab task switcher.

  • What's new?
  • Features
  • Quick Start
  • Registration
  • Contacts and Support

AltSwitch is a shareware product. For a 30-days trial period you may use AltSwitch for free. If you wish to continue use of AltSwitch after trial preiod expires, you must register. It's also possible to register during test period.


What's new?

AltSwitch 1.1

  • Mouse wheel support. Hold the Alt key and scroll the mouse wheel up and down to see this new feature in action.
  • Tasks performance monitoring. To enable it go to Settings dialog and check "Monitor tasks performance" option on the General tab. Two bars are now drawn for each task. The top bar displays processor usage, the bottom one displays memory usage.
  • Exclusions. Now you can prevent preview drawing for tasks that use overlays or non-standard ways to paint itself. Custom exclusions list is located on the Exclusions tab of the Settings dialog. NOTE: Don't forget to enable automatic exclusions sharing to help us to maintain global (server) exclusions list.
  • Internet integration. Now AltSwitch may optionally notify you about new versions, automatically update server exclusions and automatically share custom exclusions.
  • Overall performance and stability fixes.

AltSwitch 1.0

  • Initial release.


Features

Key AltSwitch features:

  • Flexible skin support.
  • Task previews.
  • Tasks performance monitoring.
  • Two styles of task previews – "Fit" and "Desktop".
  • All windows of the task are displayed on the preview image, including floating palettes.
  • Previews caching for faster switching.
  • Set of simple task management commands.
  • Easy switching with HotSwitch feature.
  • With AltSwitch you can minimize any window to the system tray.
  • Internet integration.
  • Mouse navigation support.

Please click on the blue triangle to the right of the brief feature description to get detailed information.


License

AltSwitch LICENSE AGREEMENT
Copyright (C) IronBytes Software, 2003-2005
All Rights Reserved

PLEASE READ THIS DOCUMENT CAREFULLY BEFORE INSTALLING OR USING THE SOFTWARE. BY INSTALLING AND USING THE SOFTWARE, YOU AGREE TO BE BOUND BY THE TERMS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO THE TERMS OF THE AGREEMENT, DO NOT INSTALL OR USE THE SOFTWARE.

AltSwitch LICENSE AGREEMENT

Use of AltSwitch (hereinafter "Software") is contingent on your agreement to the following terms:

1. GRANT OF LICENSE

IronBytes Software grants you a limited, non-exclusive license to use the Software. The Software is licensed, not sold, to you for use only under the terms of this Agreement.

You may install the Software on a single computer and for a single user for evaluation purposes for a period not to exceed thirty (30) days; after that time you must either register this program or delete it from your computer hard drive. Using this software after the thirty (30) day evaluation period, without registering the Software is a violation of the terms of this limited license.

2. SCOPE OF GRANT

You may not decompile, disassemble or otherwise reverse engineer the Software, or engage in any other activities to obtain underlying information that is not visible to the user in connection with normal use of the Software. You may not modify, rent, or resell for profit this software, or create derivative works based upon this software.

You may not publicize or distribute any registration code algorithms, information, or registration codes used by this software without permission from IronBytes Software.

3. COPYRIGHT

This software is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties.

4. DISTRIBUTION

This software may not be distributed on online services, bulletin boards, or other electronic media, on CD-ROM, disk, or other physical media without the permission of IronBytes Software.

5. TERMINATION

The license will terminate automatically and the Software unregistered if you fail to comply with any of the above terms and conditions. The license may be terminated by either party at any time and without notice.

6. DISCLAIMER OF WARRANTY

THE SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IRONBYTES SOFTWARE FURTHER DISCLAIMS ALL WARRANTIES, INCLUDING WITHOUT LIMITATION ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT. THE ENTIRE RISK ARISING OUT OF THE USE OR PERFORMANCE OF THE PRODUCT AND DOCUMENTATION REMAINS WITH RECIPIENT. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL IRONBYTES SOFTWARE BE LIABLE FOR ANY CONSEQUENTIAL, INCIDENTAL, DIRECT, INDIRECT, SPECIAL, PUNITIVE, OR OTHER DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR OTHER PECUNIARY LOSS) ARISING OUT OF THIS AGREEMENT OR THE USE OF OR INABILITY TO USE THE PRODUCT, EVEN IF IRONBYTES SOFTWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.


Registration

You may freely use AltSwitch during 30-days trial period. If you wish to continue use of AltSwitch after trial preiod expires, you must register. If you don't, you must remove AltSwitch from your computer.

AltSwith price is 14.95$. After registration you will get:

  • Free upgrades to all future versions.
  • Lifetime technical support.
  • Discounts for our future products.
  • Registration code, which you should enter in the Registration dialog.

Register online now


Contacts

WWW:

  • IronBytes Software: www.ironbytes.com
  • AltSwitch home page: www.ironbytes.com/altswitch/index.html

E-Mails:

  • General: info@ironbytes.com
  • Sales related questions: sales@ironbytes.com
  • Technical support: support@ironbytes.com


Quick Start

These topics will help you start using AltSwitch.

  • Displaying AltSwitch Window
  • Switching Tasks
  • Changing Skins
  • Using Exclusions
  • AltSwitch Window Anatomy
  • Using Tray Icon


Displaying AltSwitch Window

Ensure that AltSwitch is running. Display AltSwitch window by pressing the Tab key while holding the Alt key. There are several reasons why AltSwitch window may remain invisible:

  • There are no displayable* tasks running.
  • Only one displayable* task is running. In this case, task activated without displaying AltSwitch window.

Press the Tab key again to change a selected task. You can select task using the mouse, just move the mouse cursor to the desired task in the task list.

Release the Alt key to hide AltSwitch window. Read here about AltSwitch window anatomy.

* Examples of displayable tasks: Notepad, Internet Explorer, Word, etc… Tasks that have no windows or run minimized to the system tray can not be displayed in the task list.


Switching Tasks

Display the AltSwitch window and select the desired task by using the Tab key or mouse cursor as described in Displaying AltSwitch Window. Release the Alt key to switch to the task.

You can click on the task icon in the task list, task preview or on the AltSwitch window caption while holding the Alt key to bring task window to the front. To hide AltSwitch window release the Alt key.

Described behavior is slightly diferent if HotSwitch feature is enabled. In that case, tasks are bringed to the front immediately after selection and activated immediately after clicking.


Changing Skins

AltSwitch distributed with two built-in skins named Standard Skin and Windows XP Theme. By default Standard skin is active.

Custom skins are located in the Skins subfolder of the AltSwitch program folder, usually C:\Program Files\AltSwitch\Skins. Check site updates for new custom skins.

Active skin can be changed in the Skins tab of the settings dialog. To open settings dialog click by the right mouse button on the AltSwitch system tray icon and select Settings command from the appeared menu. In the Settings dialog activate the Skins tab. Here is the list of the installed skins. Select Windows XP Theme skin in the skin list and press the Activate Skin button. That's all, active skin is changed, press Alt+Tab to see changes.

Skin settings located under the skin list. Just play a little with them, use the Apply button for quick testing.


Using Exclusions

Overview

Some programs use non-standard ways to paint itself. As a result AltSwitch can not take snapshots of these programs. Moreover, such applications may corrupt screen content and produce other unpleasant visual effects. To avoid this problem AltSwitch use exclusions.

Exclusion is a rule. Rule that helps AltSwitch to exclude some task window from the task preview image. Task window can be identified by the executbale file name, by window class and by window title. Window class is a special window name used by programmers.

Adding custom exclusions

For example, we want create exclusion for the Windows Notepad.

  • First of all, we must run the Notepad.
  • Then open the AltSwitch Settings dialog and activate the Exclusions tab.
  • Hit the Add button. Exclusion dialog is now displayed.
  • Click on the icon at the top of the dialog and drag it by the mouse. Release the mouse button over the Notepad window. Make sure that Notepad window is visible on the screen.
  • Click OK in the Exclusion dialog.

That's all, new custom exclusion is ready. Press Alt+Tab to see how Notepad preview is drawn now. To remove this unnecessary exclusion hit the Remove button under the custom exclusions list.


AltSwitch Window

Refer to the topics below to get detailed description for each part of the window.

  • Caption
  • Task Preview
  • Task List
  • Menu Strip


Caption

This part of the AltSwitch window displays the title of the currently selected task. Task icon is displayed to the left of the title text. Click on the caption to bring selected task window to the top. If HotSwitch feature is enabled, task window becomes active immediately after clicking. Click on the caption by the right mouse button to display context menu for the selected task.

Large caption may be used to display large icon of the selected task.


Task Preview

This part of the AltSwitch window displays preview image of the currently selected task. Click on the task preview to bring selected task window to the top. If HotSwitch feature is enabled, task window becomes active immediately after clicking. Click on the preview by the right mouse button to display context menu for the selected task.

Task Preview Styles

There are two different styles of task preview – "Fit" and "Desktop".

"Fit" Style | "Desktop" Style
Task preview is zoomed or shrunk to fit the size of preview area. | Task preview is looks like a screenshot of the entire desktop. Taskbar is optionally drawn.


Task List

This part of the AltSwitch window displays list of running tasks. Click on the task icon in the task list to bring task window to the top. If HotSwitch feature is enabled, task window becomes active immediately after clicking. Click on the task icon by right mouse button to display task context menu.

Task Icons

Normally task window icon is used as a task icon in the task list, so you can easily recognize task by icon. But there are some special cases:

Icon | Description
Busy or Hung Task | Task is not responding and small exclamation sign is drawn, usually at the bottom left corner of the task icon, this depends on active skin.
Terminated Task | Task is terminated and this icon used as a task icon.

If tasks performance monitoring is on, two bars are drawn near each task icon. The first displays processor usage and the second one memory usage.

Task Context Menu

Task context menu contains following task management commands:

Title | Description
Switch to Task | Bring task window to the top and activate task window.
Close Task | Finish task.
Kill Task | Finish task in a harder manner. This command can be useful on hung tasks. Use it carefully, you may loss unsaved task data.
Minimize to Tray | Minimize task to the system tray. Task can be opened back from the system tray by simple click on the task tray icon.


Menu Strip

This part of the AltSwitch window contains the following essential AltSwitch menu commands:

Title | Description
Register | Open registration dialog. This command is not shown in the registered verison of AltSwitch.
Help | Open this help system.
About | Show information about program and registration.
Settings | Show AltSwitch Settings dialog.
Exit | Shutdown AltSwitch.

If menu strip is not visible (it may be hidden by settings or by skin), you can access the same commands from the AltSwitch system tray icon menu.


Tray Icon

AltSwitch display its icon ( [image]) in the system tray. This icon provide access to the main AltSwitch menu, click by the right mouse button on the AltSwitch tray icon to display it.

You can disable AltSwitch tray icon using the Settings dialog.


Tray Icon Menu

Tray icon menu provides access to the following commands:

Title | Description
Register | Open registration dialog. This command is not shown in the registered verison of AltSwitch.
Help | Open this help system.
About AltSwitch | Show information about program and registration.
Check Updates | Inspect IronBytes web site for new version of the AltSwitch.
AltSwitch Home Page | Visit AltSwitch home page.
Settings | Show AltSwitch Settings dialog.
Exit | Shutdown AltSwitch.


Settings

Settings dialog lets you customize AltSwitch behavior, appearance, skin and exclusions. There are four tabs:

  • General Tab
  • Appearance Tab
  • Skins Tab
  • Exclusions Tab

Use tray menu Settings command to display the settings dialog.


General Tab

Switcher Window Size and Position

Option Title | Description | Possible Values
Window size | Adjust window size. | Small Medium Large
Horizontal position | Adjust window horizontal postion. | Left Center Right
Vertical position | Adjust window vertical postion. | Top Center Bottom

System

Option Title | Description | Possible Values
Auto-start AltSwitch at Windows logon | Turn on/off auto-launch of the program at Windows startup. | On Off
Show AltSwitch icon in system tray | Turn on/off visibility of the program tray icon. If AltSwitch window menu is turned off, tray icon is shown in any way. | On Off
Show Tool Tips in switcher window | Turn on/off displaying of the Tool Tips in AltSwitch window. | On Off
Enable HotSwitch feature | Enable/disable HotSwitch feature. | On Off
Monitor tasks performance | Enable/disable tasks performance monitoring. If this option is on, two bars are drawn for each task. The first displays processor usage and the second one memory usage. | On Off
Automatically check program updates every day | Enable/disable automatic checking for new versions. | On Off


Appearance Tab

Switcher Window

Option Title | Description | Possible Values
Drop shadow effect | Enable/disable drop shadow effect. This effect may use too much CPU power. | On Off
Fade in animation | Enable/disable fade in animation. This effect may use too much CPU power. | On Off
Fade out animation | Enable/disable fade out animation. This effect may use too much CPU power. | On Off
Fade time | Adjust animation time for fade in and fade out effects. | 50-1000 ms

Preview

Option Title | Description | Possible Values
Use desktop wallpaper as a background | Enable/disable drawing of the desktop wallpaper as a preview background. If this option is off, preview background is filled with the desktop color. Turn this option off to free some memory. | On Off
Cache preview images | Turn on/off caching of the tasks preview images. If turned off, preview images is rendered each time when task preview needed. If turned on, preview is rendered only once for each task, but this requires more memory. Additional memory is used while AltSwicth window is visible, i.e. you are switching tasks. | On Off
"Fit" preview style | Enable "Fit" preview style. | On Off
"Desktop" preview style | Enable "Desktop" preview style. | On Off
Include Windows taskbar in preview image | Enable/disable drawing of the taskbar in the tasks preview images. Turn this option off to free some memory. | On Off


Skins Tab

Installed Skins

This part of the settings dialog contains list of the installed skins. Information about skin is displayed under the skin list, usualy it contains brief skin description, copyright information or skin status text. To activate desired skin you should select it in the skin list and press the Activate Skin button.

Skin Settings

Option Title | Description | Possible Values
Show caption with task title | Show/hide AltSwitch window caption. | On Off
Large caption | Enable/disable large caption. Large caption may be useful with skins that supports large caption, Windows XP Theme skin for example. | On Off
Show task preview | Show/hide task preview area of the AltSwitch window. | On Off
Show task list | Show/hide task list. | On Off
Show menu strip | Show/hide menu strip. | On Off

Use the Presets button to assign typical values to the skin settings.


Exclusions Tab

Custom Exclusions

Here you can edit your custom exclusions list. Use the Add button to add new exclusion, the Remove button to delete existing one and the Edit button to change settings of the currently selected exclusion. Please periodically use the Share button to share your custom exclusions list with other people or simply enable the automatic sharing.

Server Exclusions

To simplify the life of our clients we maintain the global exclusions list on our server. To update the local copy of this list hit the Update Now button.

Here you can read more about exclusions.